com.google.gwt.core.ext.typeinfo

## Interface JEnumConstant

All Superinterfaces:
  HasAnnotations, JField

    public interface JEnumConstant
    extends JField

An enumeration constant declared in an enumerated type.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getOrdinal()` Returns the ordinal value for this enumeration constant.

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JField

`getEnclosingType, getName, getType, isDefaultAccess, isEnumConstant, isFinal, isPrivate, isProtected, isPublic, isStatic, isTransient, isVolatile`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Method Detail

#### getOrdinal

    int getOrdinal()

Returns the ordinal value for this enumeration constant.

Returns:
  ordinal value for this enumeration constant